# Uses of Enum Class
javafx.scene.shape.FillRule

Packages that use FillRule
Package
Description
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of FillRule in javafx.scene.canvas

Methods in javafx.scene.canvas that return FillRule
Modifier and Type
Method
Description
`FillRule`
GraphicsContext.`getFillRule()`
Get the filling rule attribute for determining the interior of paths in fill and clip operations.
Methods in javafx.scene.canvas with parameters of type FillRule
Modifier and Type
Method
Description
`void`
GraphicsContext.`setFillRule(FillRule fillRule)`
Set the filling rule attribute for determining the interior of paths in fill or clip operations.

## Uses of FillRule in javafx.scene.shape

Methods in javafx.scene.shape that return FillRule
Modifier and Type
Method
Description
`final FillRule`
Path.`getFillRule()`
Gets the value of the `fillRule` property.
`final FillRule`
SVGPath.`getFillRule()`
Gets the value of the `fillRule` property.
`static FillRule`
FillRule.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FillRule[]`
FillRule.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.shape that return types with arguments of type FillRule
Modifier and Type
Method
Description
`final ObjectProperty<FillRule>`
Path.`fillRuleProperty()`
Defines the filling rule constant for determining the interior of the path.
`final ObjectProperty<FillRule>`
SVGPath.`fillRuleProperty()`
Defines the filling rule constant for determining the interior of the path.
Methods in javafx.scene.shape with parameters of type FillRule
Modifier and Type
Method
Description
`final void`
Path.`setFillRule(FillRule value)`
Sets the value of the `fillRule` property.
`final void`
SVGPath.`setFillRule(FillRule value)`
Sets the value of the `fillRule` property.